<?php
require_once "connect.php";

// dados da sessão
$id_usuario = 0;
$ok = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id       = $_POST['id'];
}


if(isset($_POST['ds_classificacao'])){
  $ds_classificacao	= trim($_POST['ds_classificacao']); 
  
}

if ($_FILES['ds_icone']['error'] == UPLOAD_ERR_OK) {
  

  $diretorio = "icones/"; //diretorio onde ficarão as imagens de categorias de produtos
  $ds_path_marker	= $diretorio . $_FILES['ds_icone']['name']; //salvando caminho + nome da imagem
  
 // echo $ds_path_marker;

  move_uploaded_file($_FILES['ds_icone']['tmp_name'],"mapas/" . $ds_path_marker); //passando a imagem do diretórioo temporário de uploads para o diret�rio de imagens
}

// preparando sql conforme instrução editar, excluir e adicionar
if(isset($_POST['editar'])) {
    
    
  $sql = "update erpc_dom_classificacao_cliente set ds_classificacao = '$ds_classificacao'";
  if($ds_path_marker != null && $ds_path_marker != " "){
    $sql .= ",ds_path_marker = '$ds_path_marker'";  
  }
  $sql .= " where id = '$id'";

}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_dom_classificacao_cliente (ds_classificacao, ds_path_marker, st_ativo) values ('$ds_classificacao', '$ds_path_marker', 1)";

}else
    if(isset($_POST['remover'])){
        $sql = "update erpc_dom_classificacao_cliente set st_ativo = 0 ";
        $sql .= " where id = '$id'";
    }

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
 header("Location:erpc_dom_classificacao_cliente_list.php");
}
?>
